<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 04/11/19
 * Time: 0.42
 */

namespace FiloBlu\Rma\Plugin\Model;
use FiloBlu\Rma\Plugin\Block\Form\Renderer\Select;



class HideChangeSizeResolution
{

    /**
     * @var Select
     */
    protected $select;

    /**
     * HideChangeSizeResolution constructor.
     * @param Select $select
     */
    public function __construct(Select $select){
        $this->select = $select;
    }

    /**
     * @param \Magento\Rma\Helper\Eav $subject
     * @param $result
     * @return array
     */
    public function afterGetAttributeOptionValues(\Magento\Rma\Helper\Eav $subject,$result){

        $allOptions = $result;
        $allowed = [];
        if(!$this->select->changeSizeIsEnabled()){
            foreach ($result as $key => $options){
                if($options != InstallHelper::REASON_CHANGE_SIZE_LABEL){
                    $allowed [$key]= $options;
                }
            }
            $result = $allowed;
        }
        return $result;
    }

}